# -*- rpm-spec -*-
# $Id: xemacs-build,v 1.16 2003/11/15 12:22:49 lioka Exp $

%define xemacs_package build

Name: xemacs-build
Version: 1.14
Release: alt1

Summary: Build XEmacs from within
License: GPL
Group: Editors
Url: http://ftp.xemacs.org/pub/xemacs/packages/

Source: %url/%xemacs_package-%version-pkg.tar.bz2

PreReq: xemacsen
Requires: xemacs-base xemacs-dired xemacs-pcl-cvs xemacs-prog-modes xemacs-w3

BuildArch: noarch
BuildPreReq: xemacsen

%description
Build XEmacs from within

%prep
%setup -q -c

%install
%__mkdir_p %buildroot{%_xemacs_package_dir,%_xemacs_infodir}
%__cp -a . %buildroot%_xemacs_package_dir
%__install -m0644 info/*.info* %buildroot%_xemacs_infodir 
%xemacs_package_find_files

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files

%changelog
* Sat Nov 15 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.14-alt1
- 1.14

* Thu Mar  6 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.10-alt1
- 1.10

* Sat Dec 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.07-alt2
- #1531 fixed

* Mon Oct 28 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.07-alt1
- 1.07

* Mon Aug  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.06-alt1
- first build for %distribution distribution

